# Uses of Class
javax.management.modelmbean.InvalidTargetObjectTypeException

Packages that use InvalidTargetObjectTypeException
Package
Description
javax.management.modelmbean
Provides the definition of the ModelMBean classes.

- ## Uses of InvalidTargetObjectTypeException in javax.management.modelmbean

  Methods in javax.management.modelmbean that throw InvalidTargetObjectTypeException
  Modifier and Type
  Method
  Description
  `void`
  ModelMBean.`setManagedResource(Object mr, String mr_type)`
  Sets the instance handle of the object against which to execute all methods in this ModelMBean management interface (MBeanInfo and Descriptors).
  `void`
  RequiredModelMBean.`setManagedResource(Object mr, String mr_type)`
  Sets the instance handle of the object against which to execute all methods in this ModelMBean management interface (MBeanInfo and Descriptors).